Bug 1274265 - (CVE-2015-7871) CVE-2015-7871 ntp: crypto-NAK symmetric association authentication bypass vulnerability
CVE-2015-7871 ntp: crypto-NAK symmetric association authentication bypass vul...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20151021,repo...
: Security
Depends On: 1274351 1274477 1274478 1274479 1274480
Blocks: 1260670
  Show dependency treegraph
 
Reported: 2015-10-22 07:32 EDT by Martin Prpič
Modified: 2016-02-20 21:25 EST (History)
3 users (show)

See Also:
Fixed In Version: ntp 4.2.8p4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-23 02:26:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2015-10-22 07:32:58 EDT
The following flaw was found in ntpd:

An error handling logic error exists within ntpd that manifests due to improper error condition handling associated with certain crypto-NAK packets. An unauthenticated, off­-path attacker can force ntpd processes on targeted servers to peer with time sources of the attacker's choosing by transmitting symmetric active crypto­-NAK packets to ntpd. This attack bypasses the authentication typically required to establish a peer association and allows an attacker to make arbitrary changes to system time.

External References:

http://talosintel.com/reports/TALOS-2015-0069/
http://support.ntp.org/bin/view/Main/SecurityNotice#October_2015_NTP_Security_Vulner
Comment 1 Martin Prpič 2015-10-22 10:33:56 EDT
Created ntp tracking bugs for this issue:

Affects: fedora-all [bug 1274351]
Comment 5 Martin Prpič 2015-10-23 02:26:06 EDT
Statement:

This issue did not affect the versions of ntp as shipped with Red Hat Enterprise Linux 5, 6, and 7.
Comment 7 Martin Prpič 2015-10-23 05:18:07 EDT
The 4.2.6 version of NTP is not vulnerable because while the ephemeral association can be created, it's immediately removed in the following code by the unpeer() call:

       /*
         * If this is a crypto_NAK, the server cannot authenticate a
         * client packet. The server might have just changed keys. Clear
         * the association and restart the protocol.
         */
        if (is_authentic == AUTH_CRYPTO) {
                report_event(PEVNT_AUTH, peer, "crypto_NAK");
                peer->flash |= TEST5;           /* bad auth */
                peer->badauth++;
                if (peer->flags & FLAG_PREEMPT) {
                        unpeer(peer);
                        return;
                }

While the ephemeral association can be temporarily established, it does not allow for exploitation in any way.
Comment 8 Fedora Update System 2015-11-02 13:53:03 EST
ntp-4.2.6p5-34.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-11-04 17:49:39 EST
ntp-4.2.6p5-34.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-02-20 21:25:24 EST
ntp-4.2.6p5-36.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.